<?php

namespace Ulmus\Entity\Sqlite;

use Ulmus\EntityCollection;

use Ulmus\{Attribute\Obj\Table};
use Ulmus\Attribute\Property\{Field, Filter, FilterJoin, Relation, Join, Virtual, Where};

#[Table]
class Column
{
    use \Ulmus\EntityTrait;

    #[Field\Id]
    public int $cid;

    #[Field]
    public string $type;

    #[Field]
    public string $name;

    #[Virtual]
    public string $tableName;

    #[Field(name: "notnull")]
    public bool $notNull;

    #[Field(name: "dflt_value")]
    public ? string $defaultValue;

    #[Field(name: "pk")]
    public bool $primaryKey;
}